Security Enhanced Linux Reference Policy

# Layer: system

## Module: iptables

Interfaces

### Description:

Administration tool for IP packet filtering and NAT.

### Interfaces:

iptables_admin( domain , role )

##### Summary

All of the rules required to administrate an iptables environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

iptables_domtrans( domain )

##### Summary

Execute iptables in the iptables domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

iptables_dontaudit_read_runtime_files( domain )

##### Summary

Do not audit reading iptables runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

iptables_etc_filetrans_config( domain )

##### Summary

Create files in /etc with the type used for the iptables config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_exec( domain )

##### Summary

Execute iptables in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_getattr_runtime_files( domain )

##### Summary

Get the attributes of iptables runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_initrc_domtrans( domain )

##### Summary

Execute iptables init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

iptables_manage_config( domain )

##### Summary

Manage iptables config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_mounton_runtime_files( domain )

##### Summary

Mount on iptables runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_read_config( domain )

##### Summary

Read iptables config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_read_runtime_files( domain )

##### Summary

Read iptables runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_read_state( domain )

##### Summary

Read the process state (/proc/pid) of iptables.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_run( domain , role )

##### Summary

Execute iptables in the iptables domain, and allow the specified role the iptables domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

iptables_setattr_config( domain )

##### Summary

Set the attributes of iptables config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_startstop( domain )

##### Summary

Allow specified domain to start and stop iptables service

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

iptables_status( domain )

##### Summary

Allow specified domain to get status of iptables service

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return